home *** CD-ROM | disk | FTP | other *** search
/ Personal Computer World 2009 February / PCWFEB09.iso / Software / Linux / SLAX 6.0.8 / slax-6.0.8.iso / slax / tools / tgz2lzm < prev    next >
Text File  |  2008-11-21  |  637b  |  27 lines

  1. #!/bin/bash
  2. # convert Slackware's TGZ package into .lzm compressed file
  3. # which can be used as a LiveCD module
  4. #
  5. # Author: Tomas M. <http://www.linux-live.org>
  6. #
  7.  
  8. if [ "$1" = "" -o "$2" = "" ]; then
  9.    echo
  10.    echo "Convert Slackware's TGZ package into .lzm compressed module"
  11.    echo "usage: $0 source_filename.tgz output_file.lzm"
  12.    exit 1
  13. fi
  14.  
  15. PATH=.:$(dirname $0):/usr/lib:$PATH
  16. . liblinuxlive || exit 1
  17.  
  18. TMPDIR=/tmp/tgz2lzm$$
  19.  
  20. installpkg -root $TMPDIR $1
  21. if [ $? != 0 ]; then echo "error installing package"; exit; fi
  22.  
  23. create_module $TMPDIR "$2"
  24. if [ $? != 0 ]; then echo "error building compressed image"; exit; fi
  25.  
  26. rm -Rf $TMPDIR
  27.